org.wso2.extension.siddhi.execution.streamingml.bayesian.classification.util

## Class SoftmaxRegressionModelHolder

- java.lang.Object
- - org.wso2.extension.siddhi.execution.streamingml.bayesian.classification.util.SoftmaxRegressionModelHolder

-     public class SoftmaxRegressionModelHolder
      extends Object

  Data holder which keeps the instances of @`SoftmaxRegression`.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSoftmaxRegressionModel(String name, SoftmaxRegression model)`
    `void` | `deleteSoftmaxRegressionModel(String name)`
    `SoftmaxRegression` | `getClonedSoftmaxRegressionModel(String modelName)`
    `static SoftmaxRegressionModelHolder` | `getInstance()`
    `Map<String,SoftmaxRegression>` | `getSoftmaxRegressionMap()`
    `SoftmaxRegression` | `getSoftmaxRegressionModel(String name)`
    `void` | `setSoftmaxRegressionMap(Map<String,SoftmaxRegression> modelsMap)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static SoftmaxRegressionModelHolder getInstance()

    - #### getSoftmaxRegressionMap

          public Map<String,SoftmaxRegression> getSoftmaxRegressionMap()

    - #### setSoftmaxRegressionMap

          public void setSoftmaxRegressionMap(Map<String,SoftmaxRegression> modelsMap)

    - #### getSoftmaxRegressionModel

          public SoftmaxRegression getSoftmaxRegressionModel(String name)

    - #### deleteSoftmaxRegressionModel

          public void deleteSoftmaxRegressionModel(String name)

    - #### addSoftmaxRegressionModel

          public void addSoftmaxRegressionModel(String name,
                                                SoftmaxRegression model)

    - #### getClonedSoftmaxRegressionModel

          public SoftmaxRegression getClonedSoftmaxRegressionModel(String modelName)

Copyright © 2019 WSO2. All rights reserved.